%define hordedir /usr/share/horde

Summary:        PEAR: PEAR installer role used to install Horde components

Name:           php-pear-Horde-Role
Version:        1.0.1
Release:        1.lux.1
License:        LGPL-3.0+
Group:          Development/Libraries/PHP
Source0:        http://pear.horde.org/get/Horde_Role-%{version}.tgz
Source1:        Horde_Role.xml
Source2:        COPYING.LGPLv3
Source3:        author-says-it-is-lgpl

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://pear.horde.org/package/Horde_Role
BuildRequires:  php-pear php-tokenizer
BuildRequires:  php-pear-channel-horde
Requires:       php-pear-channel-horde
BuildArch:      noarch
%define pear_name  Horde_Role
%define pear_sname horde_role
# Fix for renaming (package convention)
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       pear-%{pear_sname} = %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      pear-%{pear_sname} < %{version}

%description
This package provides a method for PEAR to install Horde components into a
base Horde installation.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{pear_phpdir} \
        -d doc_dir=%{_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{pear_phpdir}/data \
        -d test_dir=%{pear_phpdir}/test \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --force --packagingroot %{buildroot} %{SOURCE0}
[ -d %{buildroot}/%{_docdir}/%{pear_name} ] && mv %{buildroot}/%{_docdir}/%{pear_name} %{buildroot}/%{_docdir}/%{name}-%{version}
# Clean up unnecessary files
#rm pearrc
rm %{buildroot}/%{pear_phpdir}/.filemap
rm %{buildroot}/%{pear_phpdir}/.lock
rm -rf %{buildroot}/%{pear_phpdir}/.registry
rm -rf %{buildroot}%{pear_phpdir}/.channels
rm %{buildroot}%{pear_phpdir}/.depdb
rm %{buildroot}%{pear_phpdir}/.depdblock

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}

# make the horde_dir
mkdir -p %{buildroot}%{hordedir}

cp -p %{SOURCE1} %{buildroot}%{pear_xmldir}/Horde_Role.xml
# copy licensing related files to docs

%{__install} -d  %{buildroot}/usr/share/doc/%{name}-%{version}/
cp -p %{SOURCE2} %{buildroot}/usr/share/doc/%{name}-%{version}/
cp -p %{SOURCE3} %{buildroot}/usr/share/doc/%{name}-%{version}/

## todo: use patch instead
#tar -xzf % {SOURCE0} package.xml
#cp -p package.xml % {buildroot}% {xmldir}/Horde_Role.xml

%clean
rm -rf %{buildroot}

%post
pear install  --register-only %{pear_xmldir}/Horde_Role.xml
 echo "%{hordedir}" | pear run-scripts horde/horde_role 
/usr/bin/pear config-set horde_dir %{hordedir}

%postun
if [ "$1" -eq "0" ]; then
   pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Role
fi

%files
%defattr(-,root,root,755)

%defattr(-,root,root)
%{pear_phpdir}/PEAR/*
%{pear_xmldir}/Horde_Role.xml
#%dir %{hordedir}
%doc %{_docdir}/%{name}-%{version}

%changelog
